
#ifndef DISPLAY_EXAMPLE_H
#define DISPLAY_EXAMPLE_H

#include <Spectre/Scene/Camera2D.h>
#include <Spectre/Graphics/Texture.h>
#include <Spectre/Graphics/Sprite.h>
#include <Spectre/System/EventListener.h>
#include <Spectre/Game.h>

class DisplayExample : public sp::Game, sp::EventListener
{
public :
	void onEvent(const sp::Event& event);

protected :

	void init();

	void update(double dt);

	void render();

protected :

	sp::Display::Mode m_mode;

	sp::Camera2D m_camera;
	sp::Renderer2D *m_renderer;
	sp::Texture m_texture;
	sp::Sprite m_sprite;
};

#endif /* DISPLAY_EXAMPLE_H */
